package com.dragonsoft.dcuc.approve.enumresources;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * <p>
 * 审批类型
 * </p>
 *
 * @author huangzqa
 * @date 2021/7/20
 */
public enum ApproveTypeEnum implements ICodeEnum {

    /**
     * 数据查询权限
     */
    DATA("01", "数据查询权限"),

    /**
     * 服务访问权限
     */
    SERVICE("02", "服务访问权限"),

    /**
     * 应用功能访问权限
     */
    APP_FUNCTION("03", "应用功能访问权限"),

    /**
     * 业务任务
     */
    TASK("04", "业务任务"),

    /**
     * 其他
     */
    OTHER("99", "其他");

    public final String value;
    public final String label;

    ApproveTypeEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }
}
