package com.dragonsoft.dcuc.approve.enumresources;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * @author wangrs
 * @date 2021-02-23
 * @description 节点可操作类型枚举
 */
public enum OperateOptionEnum implements ICodeEnum {
    /**
     * 提交
     */
    _COMMIT("_Commit", "提交"),
    /**
     * 退回(意见)
     */
    _BTN_BACK_COMMIT_MSG("_btnBackCommit_msg", "退回(意见)"),
    /**
     * 退回
     */
    _BTN_BACK_COMMIT("_btnBackCommit", "退回"),
    /**
     * 同意
     */
    _AGREE_COMMIT("_AgreeCommit", "同意"),
    /**
     * 同意（意见）
     */
    _BTN_AGREE_COMMIT_MSG("_btnAgreeCommit_msg", "同意（意见）"),
    /**
     * 同意（意见、执行方式）
     */
    _BTN_AGREE_COMMIT_MSG_PATH("_btnAgreeCommit_msg_path", "同意（意见、执行方式）"),
    /**
     * 申请
     */
    _BTN_APPLY("_btnApply", "申请"),
    /**
     * 申请(执行方式)
     */
    _BTN_APPLY_PATH("_btnApply_path", "申请(执行方式)"),
    /**
     * 申请(申请并提交任务)
     */
    _BTN_APPLY_COMMIT("_btnApplyCommit", "申请(申请并提交任务)"),
    /**
     * 不同意
     */
    _BTN_DISAGREE_COMMIT("_btnDisagreeCommit", "不同意"),
    /**
     * 挂起
     */
    _SUSPEND_COMMIT("_SuspendCommit", "挂起"),

    //TODO add wanghao
    /**
     * 挂起
     */
    _BTN_SUSPEND_COMMIT("_btnSuspend", "挂起"),

    /**
     * 撤回
     */
    _WITH_DRAW_COMMIT("_WithdrawCommit", "撤回"),
    /**
     * 撤回
     */
    _BTN_WITH_DRAW_COMMIT("_btnWithdraw", "撤回"),
    /**
     * 撤销
     */
    _BTN_REDO_COMMIT("_btnRedo", "撤销"),
    /**
     * 撤销
     */
    _REDO_COMMIT("_RedoCommit", "撤销"),
    /**
     * 签收
     */
    _CLAIM_COMMIT("_ClaimCommit", "签收"),
    /**
     * 指派
     */
    _ASSIGN_COMMIT("_AssignCommit", "指派"),
    /**
     * 审批历史
     */
    _HISTORY_COMMIT("_HistoryCommit", "审批历史"),
    /**
     * 查看流程图
     */
    _BTN_DIAGRAM("_btnDiagram", "查看流程图"),
    /**
     * 恢复
     */
    _BTN_RECOVER("_btnRecover", "恢复");

    public final String value;
    public final String label;


    OperateOptionEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    public static OperateOptionEnum getValue(String code) {
        OperateOptionEnum[] var1 = values();

        for (OperateOptionEnum opEnum : var1) {
            if (opEnum.getValue().equals(code)) {
                return opEnum;
            }
        }

        return null;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }
}
