package com.dragonsoft.dcuc.approve.enumresources;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * <p>
 * 权限有效期类型枚举
 * 自定义：01；长期：02
 * </p>
 *
 * @author huangzqa
 * @date 2021/7/7
 */
public enum PermissionValidTypeEnum implements ICodeEnum {

    /**
     * 自定义
     */
    CUSTOM("01", "自定义"),

    /**
     * 长期
     */
    LONG("02", "长期");

    private final String value;

    private final String label;

    PermissionValidTypeEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }
}
