package com.dragonsoft.dcuc.approve.enumresources;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * <p>
 * 业务通用响应码
 * </p>
 *
 * @author huangzqa
 * @date 2022/8/1
 */
public enum ZeroTrustBusinessRespEnum implements ICodeEnum {
    /**
     * 操作成功
     */
    SUCCESS("0000", "操作成功"),

    /**
     * 操作失败
     */
    OPERATE_FAIL("0001", "操作失败"),

    /**
     * 令牌失效
     */
    TOKEN_FAIL("0002", "令牌失效"),

    /**
     * 权限冻结
     */
    PERMISSION_FREEZE("0003", "权限冻结"),

    /**
     * 用户令牌解密失败
     */
    USER_TOKEN_DECODE_FAIL("1000", "用户令牌解密失败"),

    /**
     * 用户令牌不存在
     */
    USER_TOKEN_NOT_EXITS("1001", "用户令牌不存在"),

    /**
     * 应用令牌解密失败
     */
    APP_TOKEN_DECODE_FAIL("1002", "应用令牌解密失败"),
    /**
     * 应用令牌不存在
     */
    APP_TOKEN_NOT_EXITS("1003", "应用令牌不存在"),

    /**
     * 用户令牌不需要续期
     */
    USER_TOKEN_NO_RENEWAL("1004", "用户令牌不需要续期"),

    /**
     * 应用令牌不需要续期
     */
    APP_TOKEN_NO_RENEWAL("1005", "应用令牌不需要续期");

    private final String value;

    private final String label;


    ZeroTrustBusinessRespEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }
}
