package com.dragonsoft.dcuc.approve.enumresources.bu;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * <p>
 * 错误信息枚举
 * </p>
 *
 * @author huangzqa
 * @date 2023/11/7
 */
public enum BuErrorCodeEnum implements ICodeEnum {

    /**
     * 成功
     */
    SUCCESS("0000", "成功"),
    /**
     * 系统异常
     */
    SYSTEM_ERROR("0001", "系统异常"),
    /**
     * 参数校验异常
     */
    PARAM_ERROR("0100", "参数校验异常");

    public final String value;
    public final String label;

    BuErrorCodeEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }
}
