package com.dragonsoft.dcuc.approve.facade.api.v3;

import com.dragonsoft.dcuc.approve.model.req.v3.ZeroTrustApproveCreateReqV3VO;
import com.dragonsoft.dcuc.approve.model.req.v3.ZeroTrustApproveManagerReqV3VO;
import com.dragonsoft.dcuc.approve.model.req.v3.report.ReportApproveSyncReqVO;
import com.dragonsoft.dcuc.approve.model.resp.v3.ZeroTrustApproveCreateV3RespVO;
import com.dragonsoft.dcuc.approve.model.resp.v3.ZeroTrustMessageRespVO;
import com.dragonsoft.dcuc.approve.model.resp.v3.ZeroTrustResultDataVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import javax.validation.Valid;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/5/22
 */
@Api(tags = "审批服务接口V3")
@FeignClient(name = "approve")
public interface IApiV3ApproveFacade {

    /**
     * 流程发起
     *
     * @param zeroTrustApproveCreateReqV3VO 流程发起请求
     * @return 流程发起返回
     */
    @ApiOperation(value = "审批请求推送接口", notes = "审批请求推送接口")
    @RequestMapping(value = "api/v3/apply", method = RequestMethod.POST)
    ZeroTrustResultDataVO<ZeroTrustApproveCreateV3RespVO> create(@RequestBody ZeroTrustApproveCreateReqV3VO zeroTrustApproveCreateReqV3VO);


    /**
     * 流程管理
     *
     * @param zeroTrustApproveManagerReqV3VO 流程管理请求
     * @return 状态
     */
    @ApiOperation(value = "流程管理", notes = "流程管理")
    @RequestMapping(value = "api/v3/manage", method = RequestMethod.POST)
    ZeroTrustMessageRespVO manage(@RequestBody ZeroTrustApproveManagerReqV3VO zeroTrustApproveManagerReqV3VO);

    /**
     * 接收审批信息上报接口
     *
     * @param reportApproveSyncReqVO 上报请求
     * @return 状态
     */
    @ApiOperation(value = "接收审批上报", notes = "接收审批上报")
    @RequestMapping(value = "api/v3/report-approvals", method = RequestMethod.POST)
    ZeroTrustMessageRespVO reportApprovals(@Valid @RequestBody ReportApproveSyncReqVO reportApproveSyncReqVO);
}
