package com.dragonsoft.dcuc.approve.facade.api.v3;

import io.swagger.annotations.Api;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *
 * </p>
 *
 * @author huangziquan
 * @date 2024/3/1
 */
@Api(tags = "工作流回调服务接口")
@FeignClient(name = "approve", path = "api/v3/work-flow-callback/")
public interface IApiV3WorkFlowCallbackFacade {
    /**
     * 1、先获取当前机构所属标签的人
     * 2、无人员再获取上级机构所属标签的人，循环获取直至顶级节点
     * 3、获取配置的兜底审批人员
     *
     * @param param 参数
     * @return 进行审批的人员身份证号码
     */
    @PostMapping("current-org-next/handlers")
    List<String> getCurrentOrgAndNextOrgLabelHandlers(@RequestBody Map<String, Object> param);

}
