package com.dragonsoft.dcuc.approve.facade.log;

import com.dragonsoft.dcuc.approve.model.resp.FlowManageLogVo;
import com.dragonsoft.duceap.base.annotations.parameter.QueryObject;
import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
import com.dragonsoft.duceap.core.search.Searchable;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/5/27 15:07
 */
@Api(tags = "流程管理日志")
@FeignClient(name = "approve")
public interface IFlowManageLogFacade {

    @ApiOperation(value = "审批流程管理日志列表", notes = "审批流程管理日志列表")
    @RequestMapping(value = "v1/flow-manage-log/search", method = RequestMethod.POST)
    @ApiImplicitParams({
            @ApiImplicitParam(name = "createUserName", value = "操作者（模糊查询：like）", required = false),
            @ApiImplicitParam(name = "idcard", value = "身份证号（模糊查询：like）", required = false),
            @ApiImplicitParam(name = "disposeType", value = "审批流程处理类型（全部：ALL；创建：INSERT；修改：UPDATE；删除：DELETED）", required = false),
            @ApiImplicitParam(name = "createTime", value = "处理时间（时间范围）", required = false)
    })
    Page<FlowManageLogVo> queryFlowManageLogList(@QueryObject Searchable searchable);


    @ApiOperation(value = "审批流程管理日志详情", notes = "审批流程管理日志详情")
    @RequestMapping(value = "v1/flow-manage-log/{id}", method = RequestMethod.GET)
    ResponseDTO<FlowManageLogVo> flowManageLogDetail(@PathVariable(value = "id") String id);
}