package com.dragonsoft.dcuc.approve.facade.log;

import com.dragonsoft.dcuc.approve.model.resp.RiskLogVo;
import com.dragonsoft.duceap.base.annotations.parameter.QueryObject;
import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
import com.dragonsoft.duceap.core.search.Searchable;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/5/27 15:07
 */
@Api(tags = "风险日志")
@FeignClient(name = "approve")
public interface IRiskLogFacade {

    @ApiOperation(value = "风险日志列表", notes = "风险日志列表")
    @RequestMapping(value = "v1/risk-log/search", method = RequestMethod.POST)
    @ApiImplicitParams({
            @ApiImplicitParam(name = "riskType", value = "风险类型（全部：ALL；审批内容命中红/白名单风险：RED_WHITE_RISK；提交人与审批人重复风险：COMMIT_APPROVE_REPETITION_RISK；单人连续审批风险：SINGLE_APPROVE_RISK）", required = false),
            @ApiImplicitParam(name = "riskTime", value = "风险发生时间（时间范围）", required = false)
    })
    Page<RiskLogVo> queryRequestLogList(@QueryObject Searchable searchable);


    @ApiOperation(value = "风险日志详情", notes = "风险日志详情")
    @RequestMapping(value = "v1/risk-log/{id}", method = RequestMethod.GET)
    ResponseDTO<RiskLogVo> requestLogDetail(@PathVariable(value = "id") String id);


}