package com.dragonsoft.dcuc.approve.model.req;

import com.dragonsoft.dcuc.approve.enumresources.FlowTypeEnum;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author lidr
 * @date 2021/2/3
 */
@Data
@ApiModel(description = "申请修改信息")
public class ApprovalInfoAuthUpdateReqVO {

    @NotBlank
    @ApiModelProperty(value = "审批单号")
    private String approveNo;

    @ApiModelProperty(value = "流程标题")
    private String processTitle;

    @NotBlank
    @ApiModelProperty(value = "流程标识码")
    private String businessCode;

    /**
     * @see FlowTypeEnum
     */
    @NotBlank
    @ApiModelProperty(value = "申请类型")
    private String flowType;

    @ApiModelProperty(value = "申请内容")
    private String applyContent;

    @ApiModelProperty(value = "申请理由")
    @NotBlank
    private String applyReason;

    @NotBlank
    @ApiModelProperty(value = "申请人身份证号")
    private String applicantIdcard;

    @NotBlank
    @ApiModelProperty(value = "申请人姓名")
    private String applicantName;

    @NotBlank
    @ApiModelProperty(value = "申请人单位编码")
    private String applicantOrgCode;

    @NotBlank
    @ApiModelProperty(value = "申请人单位名称")
    private String applicantOrgName;

    @NotBlank
    @ApiModelProperty(value = "申请人联系方式")
    private String applicantPhoneNo;

    /**
     * @see com.dragonsoft.dcuc.approve.enumresources.PermissionValidTypeEnum
     */
    @NotBlank
    @ApiModelProperty(value = "有效时间类别")
    private String permissionValidType;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date endTime;

    @ApiModelProperty(value = "访问资源信息")
    @Valid
    @NotNull
    private ResourceInfoReqVO resourceInfo;

}
