package com.dragonsoft.dcuc.approve.model.req.bu;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.Map;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/11/7
 */
@Setter
@Getter
@ToString
@ApiModel(value = "BU审批同步接口")
public class BuApproveSyncReqVO {

    @NotBlank
    @ApiModelProperty(value = "来源系统编码")
    private String appId;

    @NotBlank
    @ApiModelProperty(value = "来源系统名称")
    private String appName;

    @NotNull
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "任务创建时间")
    private Date createTime;

    @NotNull
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "任务审批结束时间")
    private Date finishTime;

    @NotBlank
    @ApiModelProperty(value = "任务编号")
    private String taskId;

    @NotBlank
    @ApiModelProperty(value = "任务创建人ID")
    private String createrId;

    @ApiModelProperty(value = "任务最终审批人Id")
    private String lastReviewerId;

    @NotBlank
    @ApiModelProperty(value = "任务最终审批人身份证编号")
    private String lastReviewerIdCard;

    @NotBlank
    @ApiModelProperty(value = "任务最终审批人名称")
    private String lastReviewerName;

    @NotBlank
    @ApiModelProperty(value = "任务最终审批人单位ID")
    private String lastReviewerUnitCode;

    @NotBlank
    @ApiModelProperty(value = "任务最终审批人单位名称")
    private String lastReviewerUnitName;

    @NotNull
    @Valid
    @ApiModelProperty(value = "流程业务数据")
    private Map<String,Object> bizData;

}
