package com.dragonsoft.dcuc.approve.model.req.v3;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * <p>
 * 审批结果回调
 * </p>
 *
 * @author huangzqa
 * @date 2023/5/22
 */
@ApiModel("审批结果回调")
@Data
public class ZeroTrustApproveCallbackReqV3VO {

    /**
     * 流程结束类型
     *
     * @see com.dragonsoft.dcuc.approve.enumresources.ZeroTrustApproveEndEnum
     */
    @NotBlank
    @ApiModelProperty("流程结束类型")
    private String type;

    @NotBlank
    @ApiModelProperty("流程实例Id")
    private String processInstId;

    @NotBlank
    @ApiModelProperty("流程发起人")
    private String openId;

    @NotBlank
    @ApiModelProperty("发起人姓名")
    private String userName;

    /**
     * End表示流程结束时传入。
     * “1”表示审批通过；
     * “2”表示审批不通过
     *
     * @see com.dragonsoft.dcuc.approve.enumresources.ZeroTrustEndFlagEnum
     */
    @ApiModelProperty("审批结果标识")
    private String endFlag;

    @ApiModelProperty("审批不通过理由")
    private String description;

    @NotBlank
    @ApiModelProperty("任务编号")
    private String taskId;


}
