package com.dragonsoft.dcuc.approve.model.req.v3;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * <p>
 * 审批流程管理请求
 * </p>
 *
 * @author huangzqa
 * @date 2023/5/22
 */
@ApiModel("审批流程管理请求")
@Data
public class ZeroTrustApproveManagerReqV3VO {

    /**
     * 应用令牌标识
     */
    @NotBlank
    @ApiModelProperty("应用令牌标识")
    private String appTokenId;

    /**
     * 流程实例Id
     */
    @NotBlank
    @ApiModelProperty("流程实例Id")
    private String processInstId;

    /**
     * 操作类型
     *
     * @see com.dragonsoft.dcuc.approve.enumresources.ZeroTrustApproveManageEnum
     */
    @NotBlank
    @ApiModelProperty("操作类型")
    private String actionType;

}
