package com.dragonsoft.dcuc.approve.model.resp;

import com.dragonsoft.duceap.duwf.api.model.WorkflowProcessVo;
import com.dragonsoft.duceap.duwf.api.model.WorkflowProcesstypeVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 流程定义详情
 * </p>
 *
 * @author huangzqa
 * @date 2021/7/21
 */
@ApiModel(description = "流程定义详情")
@Data
public class ProcessDetailRespVO {

    /**
     * 流程定义代码
     */
    @ApiModelProperty(value = "流程定义代码")
    private String businessCode;

    /**
     * 流程定义名称
     */
    @ApiModelProperty(value = "流程定义名称")
    private String processName;

    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String description;

    /**
     * 流程类型代码
     */
    @ApiModelProperty(value = "流程类型代码")
    private String processTypeCode;

    /**
     * 流程类型名称
     */
    @ApiModelProperty(value = "流程类型名称")
    private String processTypeName;

    public static ProcessDetailRespVO paseByWorkflowProcessVo(WorkflowProcessVo workflowProcessVo) {
        String name = workflowProcessVo.getName();
        String businessCode = workflowProcessVo.getBusinessCode();
        String description = workflowProcessVo.getDescription();

        ProcessDetailRespVO processDetailRespVO = new ProcessDetailRespVO();
        processDetailRespVO.setBusinessCode(businessCode);
        processDetailRespVO.setProcessName(name);
        processDetailRespVO.setDescription(description);
        WorkflowProcesstypeVo workflowProcesstypeVo = workflowProcessVo.getWorkflowProcesstypeVo();
        if (workflowProcesstypeVo != null) {
            String processTypeVoName = workflowProcesstypeVo.getName();
            String processTypeCode = workflowProcesstypeVo.getProcessTypeCode();
            processDetailRespVO.setProcessTypeCode(processTypeCode);
            processDetailRespVO.setProcessTypeName(processTypeVoName);
        }
        return processDetailRespVO;
    }

}
