package com.dragonsoft.dcuc.approve.model.resp;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 * 风险日志表
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/5/27 19:43
 */
@Data
public class RiskLogVo implements Serializable {

    private static final long serialVersionUID = 5454155825318885342L;

    @ApiModelProperty(value = "主键ID")
    private String id;

    @ApiModelProperty(value = "日志发送方")
    private String logSender;

    @ApiModelProperty(value = "日志接收方")
    private String logReceiver;


    @ApiModelProperty(value = "日志发送方名称")
    private String logSenderStr;

    @ApiModelProperty(value = "日志接收方名称")
    private String logReceiverStr;

    @ApiModelProperty(value = "风险类型(详见SchemeTypeEnum枚举)")
    private String riskType;

    @ApiModelProperty(value = "风险类型")
    private String riskTypeStr;

    @ApiModelProperty(value = "风险时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date riskTime;

    @ApiModelProperty(value = "流程编号")
    private String businessCode;

    @ApiModelProperty(value = "流程实例编号")
    private String processInstanceId;

    @ApiModelProperty(value = "审批单号")
    private String approveNo;

    @ApiModelProperty(value = "流程标题")
    private String title;

    @ApiModelProperty(value = "风险ip")
    private String riskIp;

    @ApiModelProperty(value = "风险内容")
    private String riskContent;


    @ApiModelProperty(value = "操作人")
    private String createUser;

    @ApiModelProperty(value = "操作人姓名")
    private String createUserName;

    @ApiModelProperty(value = "身份证号")
    private String idcard;

    @ApiModelProperty(value = "单位名称")
    private String orgName;

    @ApiModelProperty(value = "单位编码")
    private String orgCode;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private String createTime;

}
