package com.dragonsoft.dcuc.approve.model.resp.bim;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 用户令牌信息
 * </p>
 *
 * @author huangzqa
 * @date 2022/8/1
 */
@Data
@ApiModel(value = "用户令牌信息")
public class ZeroTrustUserTokenInfoRespVO {
    /**
     * 用户令牌标识
     */
    @ApiModelProperty(value = "用户令牌标识")
    private String userTokenId;

    /**
     * 用户令牌创建时间
     */
    @ApiModelProperty(value = "用户令牌创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 用户令牌到期时间
     */
    @ApiModelProperty(value = "用户令牌到期时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date expireAt;


    /**
     * 用户标识
     */
    @ApiModelProperty(value = "用户标识")
    private String pid;

    /**
     * 组织机构编码
     */
    @ApiModelProperty(value = "组织机构编码")
    private String orgCode;

    /**
     * 终端IP地址
     */
    @ApiModelProperty(value = "终端IP地址")
    private String ip;

    /**
     * 终端设备标识
     */
    @ApiModelProperty(value = "终端设备标识")
    private String mid;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;

    /**
     * 终端环境类型
     */
    @ApiModelProperty(value = "终端环境类型")
    private String env;

    /**
     * 用户令牌签名
     */
    @ApiModelProperty(value = "用户令牌签名")
    private String sign;


}
