package com.dragonsoft.dcuc.approve.business;

import com.dragonsoft.dcuc.approve.model.resp.taskclass.ApiTaskClassRespVO;
import com.dragonsoft.dcuc.approve.model.resp.taskclass.ApiTaskDetailRespVO;
import com.dragonsoft.duceap.base.entity.http.ResponseDTO;

import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/11
 */
public interface IApproveTaskBusiness {
    /**
     * 获取任务类型列表
     *
     * @return 任务类型列表
     */
    ResponseDTO<List<ApiTaskClassRespVO>> taskClassList();

    /**
     * 根据任务代码获取任务详情
     *
     * @param taskCode 任务标识
     * @return 任务详情
     */
    ResponseDTO<ApiTaskDetailRespVO> taskDetail(String taskCode);

    /**
     * 根据用户、应用代码获取对应的任务列表
     *
     * @param userToken 用户令牌
     * @param appCode   应用代码
     * @return 任务列表
     */
    ResponseDTO<List<ApiTaskDetailRespVO>> getUserAppTaskList(String userToken, String appCode);
}
