package com.dragonsoft.dcuc.approve.business;

import com.dragonsoft.dcuc.approve.model.dto.zerotrust.AppTokenInfoDTO;
import com.dragonsoft.dcuc.approve.model.dto.zerotrust.UserTokenInfoDTO;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/13
 */
public interface ICacheBusiness {
    /**
     * 保存机构同步时间
     *
     * @param date 时间
     */
    void saveOrgSyncTime(Date date);

    /**
     * 保存用户同步时间
     *
     * @param date 时间
     */
    void saveUserSyncTime(Date date);

    /**
     * 获取上次机构同步时间
     *
     * @return 时间
     */
    Date getLastOrgSyncTime();

    /**
     * 获取上次用户同步时间
     *
     * @return 时间
     */
    Date getLastUserSyncTime();

    /**
     * 接收用户令牌处理
     *
     * @param tokenInfo
     * @param action
     */
    void appTokenActionHandle(AppTokenInfoDTO tokenInfo, String action);

    /**
     * 接收应用令牌处理
     *
     * @param tokenInfo
     * @param action
     */
    void userTokenActionHandle(UserTokenInfoDTO tokenInfo, String action);
}
