package com.dragonsoft.dcuc.approve.business.approver.impl;

import com.dragonsoft.dcuc.approve.business.approver.IGetApproverBusiness;
import com.dragonsoft.dcuc.approve.properties.ApproveWorkFlowCallbackProperties;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * <p>
 * 获取配置的的审批人
 * </p>
 *
 * @author huangziquan
 * @date 2024/3/4
 * @see com.dragonsoft.dcuc.approve.enumresources.ApproveGetApproverEnum
 */
@Component(value = "configGetApproverBusiness")
public class ConfigGetApproverBusinessImpl implements IGetApproverBusiness {

    private ApproveWorkFlowCallbackProperties approveWorkFlowCallbackProperties;

    @Autowired
    public void setApproveWorkFlowCallbackProperties(ApproveWorkFlowCallbackProperties approveWorkFlowCallbackProperties) {
        this.approveWorkFlowCallbackProperties = approveWorkFlowCallbackProperties;
    }

    @Override
    public List<String> getApproverList(String applicantUser, String labelCode) {
        return approveWorkFlowCallbackProperties.getFinalApproveList();
    }
}
