package com.dragonsoft.dcuc.approve.business.approver.impl;

import cn.hutool.core.collection.CollUtil;
import com.dragonsoft.dcuc.approve.business.approver.IGetApproverBusiness;
import com.dragonsoft.dcuc.approve.business.external.IDcucBusiness;
import com.dragonsoft.dcuc.approve.model.vo.dcuc.ApiOrgResultVo;
import com.dragonsoft.dcuc.approve.model.vo.dcuc.OauthUserVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Collections;
import java.util.List;

/**
 * <p>
 * 获取上一级
 * </p>
 *
 * @author huangziquan
 * @date 2024/3/4
 */
@Component(value = "nextOrgGetApproverBusiness")
public class NextOrgGetApproverBusinessImpl implements IGetApproverBusiness {
    private IDcucBusiness dcucBusiness;

    @Autowired
    public void setDcucBusiness(IDcucBusiness dcucBusiness) {
        this.dcucBusiness = dcucBusiness;
    }

    @Override
    public List<String> getApproverList(String applicantUser, String labelCode) {
        // 获取申请人对应的机构代码
        OauthUserVO handleUserInfo = dcucBusiness.getOauthUserInfoByIdcard(applicantUser);
        String currentOrgCode = handleUserInfo.getOrgCode();

        List<String> approverList = Collections.emptyList();
        if (CollUtil.isEmpty(approverList)) {
            // 看有没有再获取上级机构的
            ApiOrgResultVo apiOrgResultVo = dcucBusiness.orgInfo(currentOrgCode);
            String upOrgCode = apiOrgResultVo.getUpOrgCode();
            approverList = dcucBusiness.getUserByLabelCodeUserList(upOrgCode, labelCode);
        }
        return approverList;
    }
}
