package com.dragonsoft.dcuc.approve.config;

import com.dragonsoft.dcuc.approve.filter.CheckProofsFilter;
import com.dragonsoft.dcuc.approve.filter.cache.SecurityAppCache;
import com.dragonsoft.dcuc.approve.filter.cache.SecurityUserCache;
import com.dragonsoft.dcuc.approve.properties.ProofStarterProperties;
import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * <p>
 * DCUC配置类
 * </p>
 *
 * @author huangzqa
 * @date 2021/9/3
 */
@Configuration
public class ProofConfiguration {

    @Bean
    public SecurityUserCache securityUserCache(ProofStarterProperties proofStarterProperties) {
        return new SecurityUserCache(proofStarterProperties);
    }

    @Bean
    public SecurityAppCache appCache(ProofStarterProperties proofStarterProperties) {
        return new SecurityAppCache(proofStarterProperties);
    }

    @Bean
    public CheckProofsFilter proofsFilter() {
        return new CheckProofsFilter();
    }

    @Bean
    public FilterRegistrationBean<CheckProofsFilter> filterRegistrationBean() {
        FilterRegistrationBean<CheckProofsFilter> filterRegistrationBean = new FilterRegistrationBean<>();
        filterRegistrationBean.setFilter(proofsFilter());
        filterRegistrationBean.addUrlPatterns("/api/v1/*");
        filterRegistrationBean.addUrlPatterns("/api/v2/*");
        filterRegistrationBean.setName("proofsFilter");

        return filterRegistrationBean;
    }

}
