package com.dragonsoft.dcuc.approve.facade;

import com.dragonsoft.dcuc.approve.business.external.IUserOrgSyncBusiness;
import com.dragonsoft.dcuc.approve.model.resp.ApproveOrgInfoRespVO;
import com.dragonsoft.dcuc.approve.service.IApproveOrgInfoService;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/12
 */
@RestController
public class ApproveOrgFacade implements IApproveOrgFacade {

    private IUserOrgSyncBusiness userOrgSyncBusiness;

    private IApproveOrgInfoService approveOrgInfoService;

    @Autowired
    public void setApproveOrgInfoService(IApproveOrgInfoService approveOrgInfoService) {
        this.approveOrgInfoService = approveOrgInfoService;
    }

    @Autowired
    public void setUserOrgSyncBusiness(IUserOrgSyncBusiness userOrgSyncBusiness) {
        this.userOrgSyncBusiness = userOrgSyncBusiness;
    }

    @Override
    public Page<ApproveOrgInfoRespVO> page(Searchable searchable) {
        return approveOrgInfoService.page(searchable);
    }

    @Override
    public ResponseStatus syncAllOrg() {
        return userOrgSyncBusiness.syncAllOrg();
    }

    @Override
    public ResponseStatus syncNewOrg() {
        return userOrgSyncBusiness.syncNewOrg();
    }
}
