package com.dragonsoft.dcuc.approve.facade;

import com.dragoninfo.dcuc.app.dto.ServiceResourceDTO;
import com.dragoninfo.dcuc.app.entity.ApplyInfo;
import com.dragoninfo.dcuc.app.facade.IApplyInfoFacade;
import com.dragoninfo.dcuc.app.facade.IResourceFacade;
import com.dragoninfo.dcuc.common.utils.ResponseUtil;
import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author wangrs
 * @version 1.0
 * @date 2021/2/5
 */
@RestController
public class ReferenceFacade implements IReferenceFacade {
    @Autowired
    private IApplyInfoFacade applyInfoFacade;

    @Autowired
    private IResourceFacade resourceFacade;

    /**
     * 工作流管理端上下文
     */
    private static final String WORKFLOW_MANAGE_CONTEXT = "/duceap-duwf-manager";
    /**
     * 工作流api请求url
     */
    @Value("${duceap.workflow.http.url:}")
    private String workflowManageUrl;
    /**
     * 工作流管理端页面端口
     */
    @Value("${duceap.workflow.http.manage.port:8872}")
    private String workflowManagePort;

    @Override
    public ResponseDTO<List<ApplyInfo>> queryApplicationList() {
        List<ApplyInfo> allList = applyInfoFacade.getAllList();
        return ResponseUtil.newInstance(allList);
    }

    @Override
    public Page<ServiceResourceDTO> queryServiceResourceList(Searchable searchable) {
        return resourceFacade.serviceResourcePage(searchable.toSearchDTO());
    }

    @Override
    public ResponseDTO<String> workflowUrl() {
        String url = "http://" + workflowManageUrl.substring(0, workflowManageUrl.indexOf(":") + 1) + workflowManagePort + WORKFLOW_MANAGE_CONTEXT;
        return ResponseUtil.newInstance(url);
    }
}
