package com.dragonsoft.dcuc.approve.facade.api;

import com.dragonsoft.dcuc.approve.business.external.IZeroTrustTokenBusiness;
import com.dragonsoft.dcuc.approve.enumresources.ZeroTrustBusinessRespEnum;
import com.dragonsoft.dcuc.approve.model.req.v1.token.TokenReceiveVO;
import com.dragonsoft.dcuc.approve.model.resp.v3.ZeroTrustMessageRespVO;
import com.fasterxml.jackson.databind.ObjectMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author mazq
 * @date 2023/9/8
 */
@Slf4j
@RestController
@RequestMapping("api/v1/tokens/")
public class ApiV1TokenFacade implements IApiV1TokenFacade {

    private IZeroTrustTokenBusiness zeroTrustTokenBusiness;

    @Autowired
    public void setZeroTrustTokenBusiness(IZeroTrustTokenBusiness zeroTrustTokenBusiness) {
        this.zeroTrustTokenBusiness = zeroTrustTokenBusiness;
    }

    @Override
    public ZeroTrustMessageRespVO tokenReceive(String tokenReceiveJson) {
        log.info("审批服务接收到令牌操作信息:{}", tokenReceiveJson);
        ObjectMapper objectMapper = new ObjectMapper();
        TokenReceiveVO tokenReceiveVO;
        try {
            tokenReceiveVO = objectMapper.readValue(tokenReceiveJson, TokenReceiveVO.class);
        } catch (Exception e) {
            log.error("解析令牌信息异常", e);
            return ZeroTrustMessageRespVO.messageEnumMessage(ZeroTrustBusinessRespEnum.OPERATE_FAIL);
        }

        return zeroTrustTokenBusiness.tokenReceive(tokenReceiveVO);
    }
}
