package com.dragonsoft.dcuc.approve.facade.api.v3;

import cn.hutool.core.util.StrUtil;
import com.dragoninfo.dcuc.common.utils.LangUtil;
import com.dragoninfo.dcuc.common.utils.ResponseUtil;
import com.dragonsoft.dcuc.approve.business.IApproveTaskBusiness;
import com.dragonsoft.dcuc.approve.facade.api.v3.IApiV3ApproveTaskClassFacade;
import com.dragonsoft.dcuc.approve.model.resp.taskclass.ApiTaskClassRespVO;
import com.dragonsoft.dcuc.approve.model.resp.taskclass.ApiTaskDetailRespVO;
import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/11
 */
@Slf4j
@RestController
public class ApiV3ApproveTaskClassFacade implements IApiV3ApproveTaskClassFacade {

    private IApproveTaskBusiness approveTaskBusiness;

    @Autowired
    public void setApproveTaskBusiness(IApproveTaskBusiness approveTaskBusiness) {
        this.approveTaskBusiness = approveTaskBusiness;
    }

    @Override
    public ResponseDTO<List<ApiTaskClassRespVO>> taskClassList() {
        return approveTaskBusiness.taskClassList();
    }

    @Override
    public ResponseDTO<ApiTaskDetailRespVO> taskDetail(String taskCode) {
        if (StrUtil.isBlank(taskCode)) {
            return ResponseUtil.dtoFail("taskCode必填");
        }

        return approveTaskBusiness.taskDetail(taskCode);
    }

    @Override
    public ResponseDTO<List<ApiTaskDetailRespVO>> getUserAppTaskList(String userToken, String appCode) {
        if (LangUtil.isAnyBlank(userToken, appCode)) {
            return ResponseUtil.dtoFail("参数需必填");
        }
        return approveTaskBusiness.getUserAppTaskList(userToken, appCode);
    }
}
