package com.dragonsoft.dcuc.approve.facade.log;

import com.dragonsoft.dcuc.approve.model.resp.RiskLogVo;
import com.dragonsoft.dcuc.approve.service.IRiskLogService;
import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.RestController;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/5/27 15:07
 */
@RestController
public class RiskLogFacade implements IRiskLogFacade{

    @Autowired
    private IRiskLogService riskLogService;

    /**
     * 风险日志列表
     * @param searchable
     * @return
     */
    @Override
    public Page<RiskLogVo> queryRequestLogList(Searchable searchable) {
        return riskLogService.queryRequestLogList(searchable);
    }

    /**
     * 风险日志详情
     *
     * @param id
     * @return
     */
    @Override
    public ResponseDTO<RiskLogVo> requestLogDetail(String id) {
        return riskLogService.requestLogDetail(id);
    }
}