package com.dragonsoft.dcuc.approve.facade.log;

import com.dragonsoft.dcuc.approve.model.resp.RiskSchemeVo;
import com.dragonsoft.dcuc.approve.service.IRiskSchemeService;
import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.RestController;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/5/27 15:07
 */
@RestController
public class RiskSchemeFacade implements IRiskSchemeFacade {


    @Autowired
    private IRiskSchemeService riskSchemeService;



    /**
     * 风险方案列表
     * @param searchable
     * @return
     */
    @Override
    public Page<RiskSchemeVo> queryRiskSchemeList(Searchable searchable) {
        return riskSchemeService.queryRiskSchemeList(searchable);
    }

    /**
     * 风险方案详情
     *
     * @param id
     * @return
     */
    @Override
    public ResponseDTO<RiskSchemeVo> riskSchemeDetail(String id) {
        return riskSchemeService.riskSchemeDetail(id);
    }

    /**
     * 风险方案修改
     * @param riskSchemeVo
     * @return
     */
    @Override
    public ResponseStatus riskSchemeUpdate(RiskSchemeVo riskSchemeVo) {
        return riskSchemeService.riskSchemeUpdate(riskSchemeVo);
    }

    /**
     * 风险方案删除
     * @param id
     * @return
     */
    @Override
    public ResponseStatus riskSchemeDelete(String id) {
        return riskSchemeService.riskSchemeDelete(id);
    }
}