package com.dragonsoft.dcuc.approve.filter;

import ch.qos.logback.classic.spi.ILoggingEvent;
import ch.qos.logback.core.filter.Filter;
import ch.qos.logback.core.spi.FilterReply;
import com.dragonsoft.dcuc.approve.constants.ApproveConstants;


/**
 * 过滤出系统日志
 *
 * @author mazq
 * @date 2023/05/18
 */
public class SysLogFilter extends Filter<ILoggingEvent> {

    @Override
    public FilterReply decide(ILoggingEvent iLoggingEvent) {
        String loggerName = iLoggingEvent.getLoggerName();
        // 判断日志名称
        if (ApproveConstants.SYS_LOG_NAME.equals(loggerName)) {
            return FilterReply.ACCEPT;
        }

        return FilterReply.DENY;
    }
}
