package com.dragonsoft.dcuc.approve.filter.cache;

import com.dragoninfo.dcuc.app.entity.ApplyInfo;
import com.dragoninfo.dcuc.app.facade.IApplyInfoFacade;
import com.dragoninfo.dcuc.common.entity.SecurityApp;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Optional;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2021/9/6
 */
@Component
public class SecurityAppResolver implements ISecurityAppResolver {

    private IApplyInfoFacade appInfoFacade;

    @Autowired
    public void setAppInfoFacade(IApplyInfoFacade appInfoFacade) {
        this.appInfoFacade = appInfoFacade;
    }

    @Override
    public Optional<SecurityApp> resolve(String appCode) {
        ApplyInfo appInfo = appInfoFacade.getAppByCode(appCode);
        if (appInfo == null) {
            return Optional.empty();
        }
        SecurityApp securityApp = new SecurityApp();
        securityApp.setAppCode(appInfo.getApplyCode());
        securityApp.setAppName(appInfo.getApplyName());
        securityApp.setOrgCode(appInfo.getOrgId());
        securityApp.setManageOrgCode(appInfo.getManagerOrgId());
        securityApp.setAppUrl(appInfo.getApplyUrl());
        return Optional.of(securityApp);
    }
}
