package com.dragonsoft.dcuc.approve.model;

import com.baomidou.mybatisplus.annotation.*;
import com.dragonsoft.duceap.base.annotations.audit.DeletedBy;
import com.dragonsoft.duceap.base.annotations.audit.DeletedDate;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.ibatis.type.JdbcType;
import org.springframework.data.annotation.LastModifiedBy;
import org.springframework.data.annotation.LastModifiedDate;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * @Description
 * @Author wangzw
 * @Date 2021-05-26
 */
@Data
@TableName(value = "t_approve_query_relation")
public class ApproveQueryRelation {

    @TableField(value = "ID")
    @TableId(type = IdType.UUID)
    private String id;

    /**
     * 审批单信息记录id
     */
    private String approveRecordId;

    /**
     * 案件/事件/线索/被查询人员类别
     */
    private String queryUserType;

    /**
     * 案件/事件/线索/被查询人员名称
     */
    private String queryUserName;

    /**
     * 案件/事件/线索/被查询人员编号
     */
    private String queryUserId;

    /**
     * 是否删除
     */
    @TableLogic
    private String isDeleted;

    /**
     * 创建人
     */
    private String createUser;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date createTime;

    /**
     * 更新人
     */
    @LastModifiedBy
    private String updateUser;

    /**
     * 更新时间
     */
    @LastModifiedDate
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date updateTime;

    /**
     * 删除人
     */
    @DeletedBy
    private String deleteUser;

    /**
     * 删除时间
     */
    @DeletedDate
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date deleteTime;

}
