package com.dragonsoft.dcuc.approve.model;

import com.baomidou.mybatisplus.annotation.*;
import com.dragoninfo.dcuc.duceap.enums.SchemeStatusEnum;
import com.dragoninfo.dcuc.duceap.enums.SchemeTypeEnum;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.ibatis.type.JdbcType;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 * 风险方案表
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/5/27 19:43
 */
@Data
@TableName(value = "t_approve_risk_scheme")
public class RiskScheme implements Serializable {

    private static final long serialVersionUID = 5454155825318885342L;

    @TableField(value = "ID")
    @TableId(type = IdType.UUID)
    private String id;

    @ApiModelProperty(value = "名称")
    private String name;

    /**
     * @see SchemeStatusEnum
     */
    @ApiModelProperty(value = "状态（详见SchemeStatusEnum枚举）")
    private String schemeStatus;

    @ApiModelProperty(value = "检测规则")
    private String detectionRule;


    @ApiModelProperty(value = "规则说明")
    private String ruleExplain;

    @ApiModelProperty(value = "处理建议")
    private String disposeAdvise;

    @ApiModelProperty(value = "单人连续审批数")
    private String continuousApproveNum;

    /**
     * @see SchemeTypeEnum
     */
    @ApiModelProperty(value = "方案类型（详见SchemeTypeEnum枚举）")
    private String schemeType;

    @ApiModelProperty(value = "是否删除")
    @TableLogic
    private String isDeleted;

    @ApiModelProperty(value = "创建人")
    private String createUser;

    @ApiModelProperty(value = "创建人姓名")
    private String createUserName;


    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date createTime;

    @ApiModelProperty(value = "修改人")
    private String updateUser;

    @ApiModelProperty(value = "修改人姓名")
    private String updateUserName;


    @ApiModelProperty(value = "修改时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date updateTime;

    @ApiModelProperty(value = "删除人")
    private String deleteUser;


    @ApiModelProperty(value = "删除时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date deleteTime;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSchemeStatus() {
        return schemeStatus;
    }

    public void setSchemeStatus(String schemeStatus) {
        this.schemeStatus = schemeStatus;
    }

    public String getDetectionRule() {
        return detectionRule;
    }

    public void setDetectionRule(String detectionRule) {
        this.detectionRule = detectionRule;
    }

    public String getRuleExplain() {
        return ruleExplain;
    }

    public void setRuleExplain(String ruleExplain) {
        this.ruleExplain = ruleExplain;
    }

    public String getDisposeAdvise() {
        return disposeAdvise;
    }

    public void setDisposeAdvise(String disposeAdvise) {
        this.disposeAdvise = disposeAdvise;
    }

    public String getContinuousApproveNum() {
        return continuousApproveNum;
    }

    public void setContinuousApproveNum(String continuousApproveNum) {
        this.continuousApproveNum = continuousApproveNum;
    }

    public String getSchemeType() {
        return schemeType;
    }

    public void setSchemeType(String schemeType) {
        this.schemeType = schemeType;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public String getUpdateUserName() {
        return updateUserName;
    }

    public void setUpdateUserName(String updateUserName) {
        this.updateUserName = updateUserName;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteUser() {
        return deleteUser;
    }

    public void setDeleteUser(String deleteUser) {
        this.deleteUser = deleteUser;
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }
}
