package com.dragonsoft.dcuc.approve.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.ibatis.type.JdbcType;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 * 任务指派记录表
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/5/20 9:55
 */
@Data
@TableName(value = "T_TASK_ASSIGN_RECORD")
public class TaskAssignRecord implements Serializable {

    private static final long serialVersionUID = 5454155825318885342L;

    @TableField(value = "ID")
    @TableId(type = IdType.UUID)
    private String id;

    /**
     * 申请单id
     */
    private String approveRecordId;
    /**
     * 当前任务定义id
     */
    private String currentActivityId;

    /**
     * 当前任务名称
     */
    private String currentActivityName;

    /**
     * 下一任务定义id
     */
    private String nextActivityId;

    /**
     * 下一任务名称
     */
    private String nextActivityName;

    /**
     * 指派人
     */
    private String assignUser;

    /**
     * 指派人
     */
    private String operateType;

    /**
     * 创建人
     */
    private String createUser;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date createTime;

    public String getCurrentActivityId() {
        return currentActivityId;
    }

    public void setCurrentActivityId(String currentActivityId) {
        this.currentActivityId = currentActivityId;
    }

    public String getCurrentActivityName() {
        return currentActivityName;
    }

    public void setCurrentActivityName(String currentActivityName) {
        this.currentActivityName = currentActivityName;
    }

    public String getNextActivityId() {
        return nextActivityId;
    }

    public void setNextActivityId(String nextActivityId) {
        this.nextActivityId = nextActivityId;
    }

    public String getNextActivityName() {
        return nextActivityName;
    }

    public void setNextActivityName(String nextActivityName) {
        this.nextActivityName = nextActivityName;
    }

    public String getAssignUser() {
        return assignUser;
    }

    public void setAssignUser(String assignUser) {
        this.assignUser = assignUser;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getOperateType() {
        return operateType;
    }

    public void setOperateType(String operateType) {
        this.operateType = operateType;
    }

    public String getApproveRecordId() {
        return approveRecordId;
    }

    public void setApproveRecordId(String approveRecordId) {
        this.approveRecordId = approveRecordId;
    }
}
