package com.dragonsoft.dcuc.approve.model.dto;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.lang.Assert;
import com.dragonsoft.dcuc.approve.enumresources.ApproveWorkFlowOperationEnum;
import com.dragonsoft.duceap.base.entity.security.SecurityUser;
import com.dragonsoft.duceap.base.utils.UserContextUtils;
import lombok.Data;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2021/7/19
 */
@Data
public class ApproveMessageInfoDTO {

    /**
     * 审批单号
     */
    private String approveNo;

    /**
     * 流程实例ID
     */
    private String processInstanceId;

    /**
     * 消息ID
     */
    private String messageId;

    /**
     * 源应用代码
     */
    private String sourceAppCode;

    /**
     * 回调通知地址
     */
    private String callbackUrl;

    /**
     * 审批内容
     */
    private String approveMessage;

    /**
     * 审批单信息
     */
    private ApprovalInfoMsgItemDTO approvalInfoMsgItemDTO;

    /**
     * 审批状态
     */
    private ApproveWorkFlowOperationEnum approveResult;

    /**
     * 审批单信息
     */
    private ApprovalInfoDTO approvalInfoDTO;

    /**
     * 审批人信息
     */
    private SecurityUser securityUser;


    public static ApproveMessageInfoDTO newInstance(ApprovalInfoDTO approvalInfoDTO, ApproveWorkFlowOperationEnum approveResult, String approveMessage) {
        Assert.notNull(approvalInfoDTO);
        Assert.notNull(approveResult);
        SecurityUser currentUser = UserContextUtils.getCurrentUser();

        String approveNo = approvalInfoDTO.getApproveNo();
        String appCode = approvalInfoDTO.getAppCode();
        String processInstanceId = approvalInfoDTO.getProcessInstanceId();
        String messageId = approvalInfoDTO.getMessageId();
        String callbackUrl = approvalInfoDTO.getCallbackUrl();

        ApprovalInfoMsgItemDTO approvalInfoMsgItemDTO = new ApprovalInfoMsgItemDTO();
        BeanUtil.copyProperties(approvalInfoDTO, approvalInfoMsgItemDTO);
        ResourceInfoDTO resourceInfoVo = approvalInfoDTO.getResourceInfoVo();
        approvalInfoMsgItemDTO.setResourceInfo(resourceInfoVo.toResourceInfoRespVO());

        ApproveMessageInfoDTO approveMessageInfoDTO = new ApproveMessageInfoDTO();
        approveMessageInfoDTO.setApproveNo(approveNo);
        approveMessageInfoDTO.setProcessInstanceId(processInstanceId);
        approveMessageInfoDTO.setMessageId(messageId);
        approveMessageInfoDTO.setSourceAppCode(appCode);
        approveMessageInfoDTO.setApprovalInfoMsgItemDTO(approvalInfoMsgItemDTO);
        approveMessageInfoDTO.setApproveResult(approveResult);
        approveMessageInfoDTO.setApproveMessage(approveMessage);
        approveMessageInfoDTO.setCallbackUrl(callbackUrl);
        approveMessageInfoDTO.setApprovalInfoDTO(approvalInfoDTO);
        approveMessageInfoDTO.setSecurityUser(currentUser);

        return approveMessageInfoDTO;
    }
}
