package com.dragonsoft.dcuc.approve.model.dto;

import cn.hutool.core.util.ObjectUtil;
import com.dragonsoft.duceap.duwf.api.model.ProcessInstanceVO;
import com.dragonsoft.duceap.duwf.api.model.TaskHistoryDetailVo;
import lombok.Data;

/**
 * <p>
 * 流程实例信息
 * </p>
 *
 * @author huangzqa
 * @date 2021/7/15
 */
@Data
public class ProcessInstanceInfoDTO {

    /**
     * 任务标识码
     */
    private String flowNodeCode;
    /**
     * 节点名称
     */
    private String flowNodeName;

    /**
     * 流程定义ID
     */
    private String taskKey;

    /**
     * 流程定义ID
     */
    private String flowKey;

    /**
     * 流程实例ID
     */
    private String processInstanceId;

    /**
     * 转换流程新
     *
     * @param processInstanceVO 流程实例
     * @return 流程信息
     */
    public static ProcessInstanceInfoDTO parseProcessInstanceVO(ProcessInstanceVO processInstanceVO) {
        String flowNodeCode = "";
        String flowNodeName = "";
        String taskKey = "";
        String flowKey = "";
        String processInstanceId = "";
        if (processInstanceVO != null) {
            TaskHistoryDetailVo taskHistoryDetailVo = processInstanceVO.getTaskHistoryDetailVo();
            if (ObjectUtil.isNotNull(taskHistoryDetailVo)) {
                flowNodeCode = taskHistoryDetailVo.getTaskCode();
                flowNodeName = taskHistoryDetailVo.getName();
                taskKey = taskHistoryDetailVo.getTaskDefinitionKey();
            }

            flowKey = processInstanceVO.getPocessDefinitionId();
            processInstanceId = processInstanceVO.getProcessInstanceId();
        }
        ProcessInstanceInfoDTO processInstanceInfoDTO = new ProcessInstanceInfoDTO();
        processInstanceInfoDTO.setFlowNodeCode(flowNodeCode);
        processInstanceInfoDTO.setFlowNodeName(flowNodeName);
        processInstanceInfoDTO.setTaskKey(taskKey);
        processInstanceInfoDTO.setFlowKey(flowKey);
        processInstanceInfoDTO.setProcessInstanceId(processInstanceId);
        return processInstanceInfoDTO;
    }
}
