package com.dragonsoft.dcuc.approve.model.vo.dcuc;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.ObjectUtil;
import com.dragonsoft.dcuc.approve.model.ApproveUserInfo;
import com.dragonsoft.duceap.base.enums.BooleanEnum;
import com.dragonsoft.duceap.commons.util.date.DateUtils;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Author fuzq
 * @Date 2020/11/18 19:47
 **/
@ApiModel(value = "警员vo")
public class ApiPoliceResultVo implements Serializable {

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "身份证号")
    private String idcard;

    @ApiModelProperty(value = "警衔")
    private String rank;

    @ApiModelProperty(value = "职级")
    private String title;

    @ApiModelProperty(value = "警号")
    private String policeNumber;

    @ApiModelProperty(value = "人员身份类型10：民警、15：现役、20：特警、25：外部党政人员、99999：其他工勤人员")
    private String manType;

    @ApiModelProperty(value = "警种")
    private String policeCategory;

    @ApiModelProperty(value = "业务域")
    private String policeBusiness;

    @ApiModelProperty(value = "性别 1：男 2：女")
    private String sex;

    @ApiModelProperty(value = "出生日期")
    private String birth;

    @ApiModelProperty(value = "民族")
    private String nation;


    @ApiModelProperty(value = "联系地址")
    private String address;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GTM+8")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "用户联系信息")
    private UserContactVo userContact;

    @ApiModelProperty(value = " 任职信息")
    private List<PostResultVo> postInfos;


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdcard() {
        return idcard;
    }

    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }


    public String getRank() {
        return rank;
    }

    public void setRank(String rank) {
        this.rank = rank;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getPoliceNumber() {
        return policeNumber;
    }

    public void setPoliceNumber(String policeNumber) {
        this.policeNumber = policeNumber;
    }

    public String getManType() {
        return manType;
    }

    public void setManType(String manType) {
        this.manType = manType;
    }

    public String getPoliceCategory() {
        return policeCategory;
    }

    public void setPoliceCategory(String policeCategory) {
        this.policeCategory = policeCategory;
    }

    public String getPoliceBusiness() {
        return policeBusiness;
    }

    public void setPoliceBusiness(String policeBusiness) {
        this.policeBusiness = policeBusiness;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getBirth() {
        return birth;
    }

    public void setBirth(String birth) {
        this.birth = birth;
    }

    public String getNation() {
        return nation;
    }

    public void setNation(String nation) {
        this.nation = nation;
    }


    public UserContactVo getUserContact() {
        return userContact;
    }

    public void setUserContact(UserContactVo userContact) {
        this.userContact = userContact;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public List<PostResultVo> getPostInfos() {
        return postInfos;
    }

    public void setPostInfos(List<PostResultVo> postInfos) {
        this.postInfos = postInfos;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public ApproveUserInfo toApproveUserInfo() {
        ApproveUserInfo approveUserInfo = new ApproveUserInfo();
        approveUserInfo.setIdcard(this.idcard);
        approveUserInfo.setUserName(this.name);
        approveUserInfo.setPoliceRank(this.rank);
        approveUserInfo.setPoliceNumber(this.policeNumber);
        approveUserInfo.setPoliceCategory(this.policeCategory);
        approveUserInfo.setNation(this.nation);
        approveUserInfo.setRemoteUpdateTime(this.updateTime);
        approveUserInfo.setDeleted(BooleanEnum.FALSE.value);
        Date date = DateUtils.getDate();
        approveUserInfo.setCreateTime(date);
        approveUserInfo.setUpdateTime(date);
        if (ObjectUtil.isNotNull(this.userContact)) {
            approveUserInfo.setMobileWork(this.userContact.getMobileWork());
        }
        if (CollUtil.isNotEmpty(this.postInfos)) {
            PostResultVo postResultVo = this.postInfos.get(0);
            approveUserInfo.setOrgCode(postResultVo.getOrgCode());
            approveUserInfo.setPostType(postResultVo.getPostType());
            approveUserInfo.setJobType(postResultVo.getJobType());
        }

        return approveUserInfo;
    }

}
