package com.dragonsoft.dcuc.approve.properties;

import com.dragonsoft.smtools.enums.SmTypeEunm;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author wangrs
 * @date 2021/02/26
 */
@Data
@Component
@ConfigurationProperties(prefix = "approve")
public class ApproveProperties {
    /**
     * 科信人员列表
     */
    private String kxPeopleList;
    /**
     * 审批应用Code
     */
    private String appCode;
    /**
     * 在审计中心注册的SysId
     */
    private String auditSysId;

    /**
     * 发送审计
     */
    private Boolean sendToAudit;
    /**
     * 用户中心地址
     */
    private String userServiceUrl;

    /**
     * 权限中心地址
     */
    private String authServiceUrl;

    /**
     * 单次同步大小
     */
    private Integer syncPageSize = 1000;

    /**
     * 同步开始时间偏移分钟数
     */
    private Integer syncStartOffsetMinute = 5;

    /**
     * 国密类型
     */
    private SmTypeEunm smTypeEnum = SmTypeEunm.Local;

    /**
     * 单位毫秒
     * 100000
     */
    private Integer requestTimeout = 10 * 1000;

    /**
     * 流程超期时间，（单位日）
     */
    private Integer expirationTimeDays = 3;

    /**
     * 权限任务类型
     */
    private String authTaskClass = "";


}
