package com.dragonsoft.dcuc.approve.properties;

import com.dragonsoft.dcuc.approve.enumresources.ApproveGetApproverEnum;
import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

/**
 * <p>
 * 工作流回调配置
 * </p>
 *
 * @author huangziquan
 * @date 2024/3/1
 */
@Setter
@Getter
@Component
@ConfigurationProperties(prefix = "approve.work-flow.callback")
public class ApproveWorkFlowCallbackProperties {
    /**
     * 标签代码
     */
    private String labelCode = "";

    /**
     * 最后兜底审批人员，身份证号
     */
    private List<String> finalApproveList = Collections.emptyList();

    /**
     * 回调获取审批人的顺序，方法
     */
    private List<ApproveGetApproverEnum> approveGetApproverEnumList = Arrays.asList(
            ApproveGetApproverEnum.CURRENT_ORG,
            ApproveGetApproverEnum.NEXT_AND_NEXT_ORG,
            ApproveGetApproverEnum.CONFIG
    );

}
