package com.dragonsoft.dcuc.approve.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * <p>
 * 配置属性信息
 * </p>
 *
 * @author huangzqa
 * @date 2021/9/3
 */
@Data
@ConfigurationProperties(prefix = "approve.proof")
public class ProofStarterProperties {

    /**
     * 开启凭据过滤
     */
    private Boolean enableProofsFilter = true;

    /**
     * 用户缓存
     */
    private UserCache userCache = new UserCache();

    /**
     * 应用缓存
     */
    private AppCache appCache = new AppCache();

    @Data
    public static class UserCache {
        /**
         * 写入失效时间，单位：秒
         */
        private Long expireAfterWrite = 1800L;
        /**
         * 初始化容量
         */
        private Integer initialCapacity = 100;

        /**
         * 最大容量
         */
        private Long maximumSize = 100000L;
    }

    @Data
    public static class AppCache {
        /**
         * 写入失效时间，单位：秒
         */
        private Long expireAfterWrite = 1800L;
        /**
         * 初始化容量
         */
        private Integer initialCapacity = 100;

        /**
         * 最大容量
         */
        private Long maximumSize = 1000L;
    }

}
