package com.dragonsoft.dcuc.approve.service;

import com.dragonsoft.dcuc.approve.model.ApproveOrgInfo;
import com.dragonsoft.dcuc.approve.model.resp.ApproveOrgInfoRespVO;
import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.data.domain.Page;

import java.util.Collection;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/12
 */
public interface IApproveOrgInfoService {

    /**
     * 用户列表
     *
     * @param searchable 搜索条件
     * @return 任务类型列表
     */
    Page<ApproveOrgInfoRespVO> page(Searchable searchable);

    /**
     * 用户详情
     *
     * @param id 用户ID
     * @return 用户详情
     */
    ResponseDTO<ApproveOrgInfoRespVO> detail(String id);

    /**
     * 根据机构代码查询ID
     *
     * @param orgCode 机构代码
     * @return ID
     */
    ApproveOrgInfo selectByOrgCode(String orgCode);


    /**
     * 批量保存
     *
     * @param saveList 保存列表
     */
    void saveAllList(Collection<ApproveOrgInfo> saveList);

    /**
     * 批量更新
     *
     * @param updateList 批量更新
     */
    void updateAllList(Collection<ApproveOrgInfo> updateList);

    /**
     * 获取最后的更新时间
     *
     * @return 更新时间
     */
    Date getLastUpdateTime();

    /**
     * 更新上级机构ID
     *
     * @param updateTime 创建时间
     */
    void updateUpOrgId(Date updateTime);
}
