package com.dragonsoft.dcuc.approve.service;

import com.dragonsoft.dcuc.approve.model.ApproveTaskClass;
import com.dragonsoft.dcuc.approve.model.req.ApproveTaskClassAddReqVO;
import com.dragonsoft.dcuc.approve.model.req.ApproveTaskClassUpdateReqVO;
import com.dragonsoft.dcuc.approve.model.resp.ApproveTaskClassDetailRespVO;
import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/6/9
 */
public interface IApproveTaskClassService {

    /**
     * 保存任务类型
     *
     * @param approveTaskClassAddReqVO 任务类型
     * @return 任务类型
     */
    ResponseDTO<ApproveTaskClass> save(ApproveTaskClassAddReqVO approveTaskClassAddReqVO);

    /**
     * 更新任务类型
     *
     * @param approveTaskClassUpdateReqVO 任务类型
     * @return 任务类型
     */
    ResponseDTO<ApproveTaskClass> update(ApproveTaskClassUpdateReqVO approveTaskClassUpdateReqVO);

    /**
     * 任务类型详情
     *
     * @param id 任务类型ID
     * @return 任务类型详情
     */
    ResponseDTO<ApproveTaskClassDetailRespVO> detail(String id);

    /**
     * 任务类型列表
     *
     * @param searchable 搜索条件
     * @return 任务类型列表
     */
    Page<ApproveTaskClassDetailRespVO> page(Searchable searchable);

    /**
     * 删除任务类型
     *
     * @param id id
     * @return 状态
     */
    ResponseStatus delete(String id);

    /**
     * 查询所有任务类型
     *
     * @return 任务类型
     */
    List<ApproveTaskClass> fillAll();

    /**
     * 根据任务类型代码查询任务类型信息
     *
     * @param taskClassCode 任务类型代码
     * @return 任务类型信息
     */
    ApproveTaskClass detailByCode(String taskClassCode);

}
