package com.dragonsoft.dcuc.approve.service;

import com.dragonsoft.dcuc.approve.model.ApproveUserInfo;
import com.dragonsoft.dcuc.approve.model.resp.ApproveUserInfoRespVO;
import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.data.domain.Page;

import java.util.Collection;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/12
 */
public interface IApproveUserInfoService {

    /**
     * 用户列表
     *
     * @param searchable 搜索条件
     * @return 任务类型列表
     */
    Page<ApproveUserInfoRespVO> page(Searchable searchable);

    /**
     * 用户详情
     *
     * @param id 用户ID
     * @return 用户详情
     */
    ResponseDTO<ApproveUserInfoRespVO> detail(String id);

    /**
     * 根据身份证号查询ID
     *
     * @param idcard 身份证号
     * @return ID
     */
    ApproveUserInfo selectByIdcard(String idcard);


    /**
     * 批量保存
     *
     * @param saveList 保存列表
     */
    void saveAllList(Collection<ApproveUserInfo> saveList);

    /**
     * 批量更新
     *
     * @param updateList 批量更新
     */
    void updateAllList(Collection<ApproveUserInfo> updateList);

    /**
     * 根据身份证号删除
     *
     * @param idcard 身份证号
     */
    void deleteByIdcard(String idcard);

    /**
     * 获取最后的更新时间
     *
     * @return 更新时间
     */
    Date getLastUpdateTime();

}
