package com.dragonsoft.dcuc.approve.service;

import com.dragonsoft.dcuc.approve.model.RequestLog;
import com.dragonsoft.dcuc.approve.model.resp.RequestLogVo;
import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.data.domain.Page;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/5/27 19:43
 */
public interface IRequestLogService {

    /**
     * 根据审批单号查询请求日志
     *
     * @param approveId 审批单号
     * @return 请求日志
     */
    RequestLog selectOneByApproveId(String approveId);

    /**
     * 审批请求日志列表
     *
     * @param searchable 搜索条件
     * @return 分页
     */
    Page<RequestLogVo> queryRequestLogList(Searchable searchable);

    /**
     * 审批请求日志详情
     *
     * @param id id
     * @return 状态
     */
    ResponseDTO<RequestLogVo> requestLogDetail(String id);

    /**
     * 请求日志保存
     *
     * @param entity 请求日志
     */
    void saveRequestLog(RequestLog entity);
}
