package com.dragonsoft.dcuc.approve.service;

import com.dragoninfo.dcuc.duceap.enums.SchemeTypeEnum;
import com.dragonsoft.dcuc.approve.model.RiskScheme;
import com.dragonsoft.dcuc.approve.model.resp.RiskSchemeVo;
import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.data.domain.Page;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/5/27 19:43
 */
public interface IRiskSchemeService {
    /**
     * 风险方案列表
     *
     * @param searchable 搜索条件
     * @return 分页
     */
    Page<RiskSchemeVo> queryRiskSchemeList(Searchable searchable);

    /**
     * 风险方案详情
     *
     * @param id id
     * @return 状态
     */
    ResponseDTO<RiskSchemeVo> riskSchemeDetail(String id);

    /**
     * 风险方案修改
     *
     * @param riskSchemeVo 风险方案
     * @return 状态
     */
    ResponseStatus riskSchemeUpdate(RiskSchemeVo riskSchemeVo);

    /**
     * 修改方案删除
     *
     * @param id id
     * @return 状态
     */
    ResponseStatus riskSchemeDelete(String id);

    /**
     * 根据风险类型查询风险方案配置
     *
     * @param schemeTypeEnum 风险类型
     * @return 风险方案
     */
    RiskScheme selectEnableSchemeByType(SchemeTypeEnum schemeTypeEnum);
}
