package com.dragonsoft.dcuc.approve.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.dragonsoft.dcuc.approve.mapper.ApproveActRunIdentityLinkMapper;
import com.dragonsoft.dcuc.approve.model.ApproveActRunIdentityLink;
import com.dragonsoft.dcuc.approve.service.IApproveActRunIdentityLinkService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author wangrs
 * @date 2021-03-23
 */
@Service
public class ApproveActRunIdentityLinkServiceImpl implements IApproveActRunIdentityLinkService {

    @Autowired
    private ApproveActRunIdentityLinkMapper runIdentityLinkMapper;

    @Override
    public List<ApproveActRunIdentityLink> findByTaskId(String taskId) {
        LambdaQueryWrapper<ApproveActRunIdentityLink> where = new LambdaQueryWrapper<>();
        where.eq(ApproveActRunIdentityLink::getTaskId, taskId);
        return runIdentityLinkMapper.selectList(where);
    }

    @Override
    public void save(ApproveActRunIdentityLink approveActRunIdentityLink) {
        runIdentityLinkMapper.insert(approveActRunIdentityLink);
    }
}
