package com.dragonsoft.dcuc.approve.service.impl;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.lang.Assert;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dragonsoft.dcuc.approve.mapper.ApproveSecurityWarningInfoMapper;
import com.dragonsoft.dcuc.approve.model.ApproveSecurityWarningInfo;
import com.dragonsoft.dcuc.approve.model.req.v3.rzy.RzyRiskInfoDetailReqVO;
import com.dragonsoft.dcuc.approve.service.IApproveSecurityWarningInfoService;
import com.dragonsoft.dcuc.approve.service.IApproveSecurityWarningUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.Date;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/13
 */
@Service
public class ApproveSecurityWarningInfoServiceImpl extends ServiceImpl<ApproveSecurityWarningInfoMapper, ApproveSecurityWarningInfo> implements IApproveSecurityWarningInfoService {

    private ApproveSecurityWarningInfoMapper approveSecurityWarningInfoMapper;

    private IApproveSecurityWarningUserService approveSecurityWarningUserService;

    @Autowired
    public void setApproveSecurityWarningUserService(IApproveSecurityWarningUserService approveSecurityWarningUserService) {
        this.approveSecurityWarningUserService = approveSecurityWarningUserService;
    }

    @Autowired
    public void setApproveSecurityWarningInfoMapper(ApproveSecurityWarningInfoMapper approveSecurityWarningInfoMapper) {
        this.approveSecurityWarningInfoMapper = approveSecurityWarningInfoMapper;
    }

    @Override
    public void save(RzyRiskInfoDetailReqVO rzyRiskInfoDetailReqVO) {
        Assert.notNull(rzyRiskInfoDetailReqVO);

        ApproveSecurityWarningInfo approveSecurityWarningInfo = new ApproveSecurityWarningInfo();
        BeanUtil.copyProperties(rzyRiskInfoDetailReqVO, approveSecurityWarningInfo);
        Date riskCreateTime = rzyRiskInfoDetailReqVO.getCreateTime();
        approveSecurityWarningInfo.setRiskCreateTime(riskCreateTime);
        approveSecurityWarningInfo.setCreateTime(new Date());
        approveSecurityWarningInfoMapper.insert(approveSecurityWarningInfo);
        String id = approveSecurityWarningInfo.getId();
        List<String> userList = rzyRiskInfoDetailReqVO.getUser();
        approveSecurityWarningUserService.saveAllWarningUser(id, riskCreateTime, userList);
    }

    @Override
    public List<ApproveSecurityWarningInfo> selectByUser(String user) {
        List<String> strings = approveSecurityWarningUserService.finWarningIdListByUser(user);
        if (CollUtil.isEmpty(strings)) {
            return Collections.emptyList();
        }

        LambdaQueryWrapper<ApproveSecurityWarningInfo> lambdaQueryWrapper = Wrappers.lambdaQuery();
        lambdaQueryWrapper.in(ApproveSecurityWarningInfo::getId, strings);
        return approveSecurityWarningInfoMapper.selectList(lambdaQueryWrapper);
    }
}
