package com.dragonsoft.dcuc.approve.service.impl;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.lang.Assert;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dragonsoft.dcuc.approve.mapper.ApproveSecurityWarningUserMapper;
import com.dragonsoft.dcuc.approve.model.ApproveSecurityWarningUser;
import com.dragonsoft.dcuc.approve.service.IApproveSecurityWarningUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.ArrayList;
import java.util.Collections;
import java.util.Date;
import java.util.List;
import java.util.stream.Collectors;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/13
 */
@Service
public class ApproveSecurityWarningUserServiceImpl extends ServiceImpl<ApproveSecurityWarningUserMapper, ApproveSecurityWarningUser> implements IApproveSecurityWarningUserService {

    private ApproveSecurityWarningUserMapper approveSecurityWarningUserMapper;

    @Autowired
    public void setApproveSecurityWarningUserMapper(ApproveSecurityWarningUserMapper approveSecurityWarningUserMapper) {
        this.approveSecurityWarningUserMapper = approveSecurityWarningUserMapper;
    }

    @Transactional(
            rollbackFor = {Exception.class}
    )
    @Override
    public void saveAllWarningUser(String warningId, Date riskCreateTime, List<String> userList) {
        Assert.notBlank(warningId);
        Assert.notNull(riskCreateTime);

        if (CollUtil.isEmpty(userList)) {
            return;
        }
        List<ApproveSecurityWarningUser> approveSecurityWarningUserList = new ArrayList<>();
        for (String user : userList) {
            ApproveSecurityWarningUser approveSecurityWarningUser = new ApproveSecurityWarningUser();
            approveSecurityWarningUser.setWarningId(warningId);
            approveSecurityWarningUser.setUser(user);
            approveSecurityWarningUser.setRiskCreateTime(riskCreateTime);
            approveSecurityWarningUser.setCreateTime(new Date());
            approveSecurityWarningUserList.add(approveSecurityWarningUser);
        }
        this.saveBatch(approveSecurityWarningUserList);

    }

    @Override
    public List<String> finWarningIdListByUser(String user) {
        LambdaQueryWrapper<ApproveSecurityWarningUser> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(ApproveSecurityWarningUser::getUser, user)
                .select(ApproveSecurityWarningUser::getWarningId);
        List<ApproveSecurityWarningUser> approveSecurityWarningUserList = approveSecurityWarningUserMapper.selectList(queryWrapper);
        if (CollUtil.isEmpty(approveSecurityWarningUserList)) {
            return Collections.emptyList();
        }
        return approveSecurityWarningUserList.stream()
                .map(ApproveSecurityWarningUser::getWarningId)
                .collect(Collectors.toList());

    }
}
