package com.dragonsoft.dcuc.approve.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.dragoninfo.dcuc.common.utils.ResponseUtil;
import com.dragoninfo.dcuc.duceap.enums.ManageDisposeTypeEnum;
import com.dragonsoft.dcuc.approve.enumresources.ApproveResultEnum;
import com.dragonsoft.dcuc.approve.mapper.FlowManageLogMapper;
import com.dragonsoft.dcuc.approve.model.FlowManageLog;
import com.dragonsoft.dcuc.approve.model.resp.FlowManageLogVo;
import com.dragonsoft.dcuc.approve.service.IFlowManageLogService;
import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
import com.dragonsoft.duceap.commons.util.enums.EnumUtils;
import com.dragonsoft.duceap.core.entity.page.PageImpl;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Sort;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/5/27 19:43
 */
@Service
public class FlowManageLogServiceImpl implements IFlowManageLogService {

    @Autowired
    private FlowManageLogMapper flowManageLogMapper;

    @Override
    public Page<FlowManageLogVo> queryFlowManageLogList(Searchable searchable) {
        searchable.addSort(Sort.Direction.DESC, "createTime");
        Page<FlowManageLog> logPage = flowManageLogMapper.pagingBySearchable(searchable);
        List<FlowManageLogVo> logVoList = new ArrayList<>();
        for (FlowManageLog flowManageLog : logPage.getContent()) {
            FlowManageLogVo logVo = new FlowManageLogVo();
            BeanUtils.copyProperties(flowManageLog, logVo);
            logVo.setResultStr(EnumUtils.enumOf(ApproveResultEnum.class, flowManageLog.getResult()).getLabel());
            logVo.setDisposeTypeStr(EnumUtils.enumOf(ManageDisposeTypeEnum.class, flowManageLog.getDisposeType()).getLabel());
            logVoList.add(logVo);
        }
        return new PageImpl<>(logVoList, logPage.getPageable(), logPage.getTotalElements());
    }

    @Override
    public ResponseDTO<FlowManageLogVo> flowManageLogDetail(String id) {
        FlowManageLog flowManageLog = flowManageLogMapper.selectById(id);
        FlowManageLogVo logVo = new FlowManageLogVo();
        BeanUtil.copyProperties(flowManageLog, logVo);
        logVo.setResultStr(EnumUtils.enumOf(ApproveResultEnum.class, flowManageLog.getResult()).getLabel());
        logVo.setDisposeTypeStr(EnumUtils.enumOf(ManageDisposeTypeEnum.class, flowManageLog.getDisposeType()).getLabel());
        return ResponseUtil.newInstance(logVo);
    }

    @Override
    public void saveFlowManageLog(FlowManageLog flowManageLog) {
        flowManageLogMapper.insert(flowManageLog);
    }
}
