drop table if exists t_approve_flow_manage_log;

/*==============================================================*/
/* Table: t_approve_flow_manage_log                                     */
/*==============================================================*/
create table t_approve_flow_manage_log
(
   id                   varchar(32) not null comment '主键id',
   idcard               varchar(50) not null comment '身份证号',
   org_name             varchar(100) comment '单位名称',
   org_code             varchar(50) comment '单位编码',
   business_code        varchar(100) comment '流程编号',
   title                varchar(150) comment '流程标题',
   approve_record_id    varchar(32) comment '申请单id',
   dispose_type         varchar(50) comment '处理类型（详见DisposeTypeEnum枚举）',
   result               varchar(10) comment '结果（详见ApproveResultEnum枚举）',
   create_ip            varchar(50) comment '操作者ip',
   fail_msg             varchar(1000) comment '失败原因',
   operate_content      varchar(2000) comment '操作内容',
   create_user          varchar(50) not null comment '操作人',
   create_user_name     varchar(100) not null comment '操作人姓名',
   create_time          datetime not null comment '操作时间',
   primary key (id)
);

alter table t_approve_flow_manage_log comment '流程管理日志表';



drop table if exists t_approve_request_log;

/*==============================================================*/
/* Table: t_approve_request_log                                         */
/*==============================================================*/
create table t_approve_request_log
(
   id                   varchar(32) not null comment '主键id',
   idcard               varchar(50) not null comment '身份证号',
   org_name             varchar(100) comment '单位名称',
   org_code             varchar(50) comment '单位编码',
   business_code        varchar(100) comment '流程编号',
   title                varchar(150) comment '流程标题',
   approve_record_id    varchar(32) comment '申请单id',
   dispose_type         varchar(50) comment '处理类型（详见DisposeTypeEnum枚举）',
   result               varchar(10) comment '结果（详见ApproveResultEnum枚举）',
   create_ip            varchar(50) comment '操作者ip',
   fail_msg             varchar(1000) comment '失败原因',
   operate_content      varchar(2000) comment '操作内容',
   create_user          varchar(50) not null comment '操作人',
   create_user_name     varchar(100) not null comment '操作人姓名',
   create_time          datetime not null comment '操作时间',
   flow_node_code          varchar(100) comment '流程节点标识码',
   flow_node_name          varchar(100) comment '流程节点名称',
   primary key (id)
);

alter table t_approve_request_log comment '请求日志表';


drop table if exists t_approve_operate_log;

/*==============================================================*/
/* Table: t_approve_operate_log                                         */
/*==============================================================*/
create table t_approve_operate_log
(
   id                   varchar(32) not null comment '主键id',
   idcard               varchar(50) not null comment '身份证号',
   org_name             varchar(100) comment '单位名称',
   org_code             varchar(50) comment '单位编码',
   business_code        varchar(100) comment '流程编号',
   title                varchar(150) comment '流程标题',
   approve_record_id    varchar(32) comment '申请单id',
   dispose_type         varchar(50) comment '处理类型（详见DisposeTypeEnum枚举）',
   result               varchar(10) comment '结果（详见ApproveResultEnum枚举）',
   create_ip            varchar(50) comment '操作者ip',
   fail_msg             varchar(1000) comment '失败原因',
   operate_content      varchar(2000) comment '操作内容',
   create_user          varchar(50) not null comment '操作人',
   create_user_name     varchar(100) not null comment '操作人姓名',
   create_time          datetime not null comment '操作时间',
   flow_node_code          varchar(100) comment '流程节点标识码',
   flow_node_name          varchar(100) comment '流程节点名称',
   primary key (id)
);

alter table t_approve_operate_log comment '操作日志表';


drop table if exists t_approve_risk_log;

/*==============================================================*/
/* Table: t_approve_risk_log                                            */
/*==============================================================*/
create table t_approve_risk_log
(
   id                   varchar(32) not null comment '主键id',
   log_sender           varchar(50) not null comment '日志发送方',
   log_receiver         varchar(100) not null comment '日志接收方',
   risk_type            varchar(50) not null comment '风险类型(详见SchemeTypeEnum枚举)',
   risk_time            datetime comment '风险时间',
   business_code        varchar(100) comment '流程编号',
   title                varchar(150) comment '流程标题',
   approve_record_id    varchar(32) comment '申请单id',
   risk_ip              varchar(50) comment '风险ip',
   risk_content         varchar(2000) comment '风险内容',
   create_time          datetime comment '创建时间',
   idcard               varchar(50) not null comment '操作者身份证号',
   org_name             varchar(100) comment '操作者单位名称',
   org_code             varchar(50) comment '操作者单位编码',
   create_user          varchar(50) comment '操作人',
   create_user_name     varchar(100) comment '操作人姓名',
   primary key (id)
);

alter table t_approve_risk_log comment '风险日志';


drop table if exists t_approve_risk_scheme;

/*==============================================================*/
/* Table: t_approve_risk_scheme                                         */
/*==============================================================*/
create table t_approve_risk_scheme
(
   id                   varchar(32) not null comment '主键id',
   name                 varchar(50) not null comment '名称',
   scheme_status        varchar(100) comment '状态（详见SchemeStatusEnum枚举）',
   detection_rule       varchar(100) comment '检测规则',
   rule_explain         varchar(200) comment '规则说明',
   dispose_advise       varchar(200) comment '处理建议',
   continuous_approve_num varchar(50) comment '单人连续审批数',
   scheme_type          varchar(50) comment '方案类型（详见SchemeTypeEnum枚举）',
   is_deleted          varchar(1) not null default  '0' comment '是否删除',
   create_user          varchar(50) not null comment '创建人',
   create_user_name     varchar(100) not null comment '创建人姓名',
   create_time          datetime not null comment '创建时间',
   update_user          varchar(50) comment '修改人',
   update_user_name     varchar(100) comment '修改人姓名',
   update_time          datetime  comment '修改时间',
   delete_user          varchar(50)  comment '删除人',
   delete_time          datetime  comment '删除时间',
   primary key (id)
);

alter table t_approve_risk_scheme comment '风险方案表';

INSERT INTO `t_approve_risk_scheme` (`id`, `name`, `scheme_status`, `detection_rule`, `rule_explain`, `dispose_advise`, `continuous_approve_num`, `scheme_type`, `is_deleted`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `delete_user`, `delete_time`) VALUES
('1', '审批内容命中红/白名单风险', 'ENABLE', '审批请求内容命中红/白名单', '审批请求内容中，如审批请求服务资源等存在红白名单里，则判定为风险', '#主体#审批内容在红白名单里，请慎重审批。', NULL, 'RED_WHITE_RISK', '0', '000000000000000001', 'ADMIN', '2021-06-15 17:07:46', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_approve_risk_scheme` (`id`, `name`, `scheme_status`, `detection_rule`, `rule_explain`, `dispose_advise`, `continuous_approve_num`, `scheme_type`, `is_deleted`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `delete_user`, `delete_time`) VALUES
('2', '提交人与审批人重复风险', 'ENABLE', '提交人身份证号码与审批人身份证号码相同', '在一个审批流程中，提交人的不能同时是审批人，若提交人与审批人则流程不安全，存在风险', '提交人与审批人相同，流程存在风险，请核实流程的合理性。', NULL, 'COMMIT_APPROVE_REPETITION_RISK', '0', '000000000000000001', 'ADMIN', '2021-06-15 17:07:46', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_approve_risk_scheme` (`id`, `name`, `scheme_status`, `detection_rule`, `rule_explain`, `dispose_advise`, `continuous_approve_num`, `scheme_type`, `is_deleted`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `delete_user`, `delete_time`) VALUES
('3', '单人连续审批风险', 'ENABLE', '一个审批流程中，连续${continuousApproveNum}个审批流程节点审批人身份证号码相同。', '在一个审批流程中，审批应该是逐层审批的，若相邻两节点审批人相同，该流程存在风险。', '同一流程中，存在单人连续审批风险，请核实流程的合理性。','3', 'SINGLE_APPROVE_RISK', '0', '000000000000000001', 'ADMIN', '2021-06-15 17:07:46', NULL, NULL, NULL, NULL, NULL);

