package com.dragonsoft.dcuc.approve.business.external.impl;

import com.dragonsoft.dcuc.approve.model.dto.ResourceInfoDTO;
import com.dragonsoft.dcuc.approve.enumresources.FlowTypeEnum;
import com.dragonsoft.dcuc.approve.enumresources.ListLevelEnum;
import com.dragonsoft.dcuc.approve.model.resp.OperateRespVO;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.HashSet;
import java.util.Optional;
import java.util.Set;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2021/7/9
 */
@RunWith(SpringRunner.class)
@SpringBootTest
public class DcucAuthBusinessImplTest {

    @Autowired
    private DcucAuthBusinessImpl dcucAuthBusinessImpl;

    @Test
    public void getWhiteListLevel() {
        Optional<ListLevelEnum> whiteListLevel = dcucAuthBusinessImpl.getWhiteListLevel("1111");
        System.out.println(whiteListLevel.orElse(ListLevelEnum.NORMAL));
        Assert.assertTrue(whiteListLevel.isPresent());
    }

    @Test
    public void getRedListLevel() {
    }

    @Test
    public void checkHitRedList() {
        ResourceInfoDTO resourceInfoVo = new ResourceInfoDTO();
        resourceInfoVo.setVisitResourceCode("111,222,333");

        OperateRespVO operateRespVO = dcucAuthBusinessImpl.checkHitRedList("", FlowTypeEnum.APP_FUN_AUTH, resourceInfoVo);
        System.out.print(operateRespVO);

        Assert.assertTrue(operateRespVO.getHitRedList());
    }

    @Test
    public void getMaxLevel() {
        Set<ListLevelEnum> listLevelEnumList = new HashSet<>();
        listLevelEnumList.add(ListLevelEnum.LOW);
        listLevelEnumList.add(ListLevelEnum.MIDDLE);
        listLevelEnumList.add(ListLevelEnum.NORMAL);
        ListLevelEnum maxLevel = dcucAuthBusinessImpl.getMaxLevel(listLevelEnumList);
        Assert.assertEquals(maxLevel, ListLevelEnum.MIDDLE);
    }
}