package com.dragonsoft.dcuc.approve.business.external.impl;

import com.dragoninfo.dcuc.common.entity.ApiResultPage;
import com.dragoninfo.dcuc.common.entity.ApiSearchReq;
import com.dragoninfo.dcuc.common.http.SkipSslVerificationHttpRequestFactory;
import com.dragonsoft.dcuc.approve.business.external.impl.DcucBusinessImpl;
import com.dragonsoft.dcuc.approve.model.vo.dcuc.ApiOrgResultVo;
import com.dragonsoft.dcuc.approve.model.vo.dcuc.ApiPoliceResultVo;
import com.dragonsoft.dcuc.approve.properties.ApproveProperties;
import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.junit.Assert;
import org.junit.BeforeClass;
import org.junit.Test;
import org.springframework.web.client.RestTemplate;

import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/12
 */
public class DcucBusinessImplTest {

    static DcucBusinessImpl dcucBusiness;

    @BeforeClass
    public static void init() {
        SkipSslVerificationHttpRequestFactory skipSslVerificationHttpRequestFactory
                = new SkipSslVerificationHttpRequestFactory();
        skipSslVerificationHttpRequestFactory.setReadTimeout(5000);
        skipSslVerificationHttpRequestFactory.setConnectTimeout(5000);
        RestTemplate restTemplate = new RestTemplate(skipSslVerificationHttpRequestFactory);
        ObjectMapper objectMapper = new ObjectMapper();
        // 忽略不对应的字段
        objectMapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);

        ApproveProperties approveProperties = new ApproveProperties();
        approveProperties.setUserServiceUrl("http://10.201.1.50:8860/dcuc");

        dcucBusiness = new DcucBusinessImpl();
        dcucBusiness.setRestTemplate(restTemplate);
        dcucBusiness.setObjectMapper(objectMapper);
        dcucBusiness.setApproveProperties(approveProperties);

    }

    @Test
    public void orgPage() {
        ApiSearchReq apiSearchReq = ApiSearchReq.reqInfo(1, 1);
        ApiResultPage<ApiOrgResultVo> apiOrgResultVoApiResultPage =
                dcucBusiness.orgPage(apiSearchReq);

        Assert.assertNotNull(apiOrgResultVoApiResultPage);
        List<ApiOrgResultVo> content = apiOrgResultVoApiResultPage.getContent();
        Long total = apiOrgResultVoApiResultPage.getTotal();

    }

    @Test
    public void policePage() {
        ApiSearchReq apiSearchReq = ApiSearchReq.reqInfo(1, 1);
        ApiResultPage<ApiPoliceResultVo> apiOrgResultVoApiResultPage =
                dcucBusiness.policePage(apiSearchReq);

        Assert.assertNotNull(apiOrgResultVoApiResultPage);
        List<ApiPoliceResultVo> content = apiOrgResultVoApiResultPage.getContent();
        Long total = apiOrgResultVoApiResultPage.getTotal();
    }
}