package com.dragonsoft.dcuc.approve.business.impl;

import cn.hutool.core.lang.Assert;
import com.dragonsoft.dcuc.approve.business.api.impl.ApproveApiBusinessImpl;
import com.dragonsoft.dcuc.approve.model.req.v3.ZeroTrustApproveCreateReqV3VO;
import com.dragonsoft.smtools.enums.SmTypeEunm;
import com.dragonsoft.smtools.loader.SMFactory;
import org.junit.BeforeClass;
import org.junit.Test;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/12
 */
public class ApproveApiBusinessImplTest {
    static ApproveApiBusinessImpl approveApiBusiness;

    @BeforeClass
    public static void init() throws Exception {
        approveApiBusiness = new ApproveApiBusinessImpl();
        SMFactory smFactory = SMFactory.init(SmTypeEunm.Local);
        approveApiBusiness.setSmFactory(smFactory);
    }

    @Test
    public void checkCallerSign() {
        ZeroTrustApproveCreateReqV3VO zeroTrustApproveCreateReqV3VO = new ZeroTrustApproveCreateReqV3VO();
        zeroTrustApproveCreateReqV3VO.setAppTokenId("1");
        zeroTrustApproveCreateReqV3VO.setProcessDefId("2");
        zeroTrustApproveCreateReqV3VO.setTitle("222");
        zeroTrustApproveCreateReqV3VO.setTaskClass("222");
        zeroTrustApproveCreateReqV3VO.setTaskId("11");
        zeroTrustApproveCreateReqV3VO.setCallbackUrl("222");
        zeroTrustApproveCreateReqV3VO.setCallerSign("9AB84E5AF849265C4D84A9C0B88EEE30F9DE6CCCDC4E48F66FB83521850CE0A7");

        boolean checkCallerSign = approveApiBusiness.checkCallerSign(zeroTrustApproveCreateReqV3VO);

        Assert.isTrue(checkCallerSign);


    }

    @Test
    public void isStanderTaskNo() {
        org.junit.Assert.assertTrue(approveApiBusiness.isStanderTaskNo("RWBH0100000000002023071409530500000010"));
        org.junit.Assert.assertFalse(approveApiBusiness.isStanderTaskNo("iwrw0100000000002023071409530500000010"));
        org.junit.Assert.assertFalse(approveApiBusiness.isStanderTaskNo("iwrw010000000000202307140953050000001022"));
    }
}